/* ale_getline.c --- read a line from a file, allocated dynamically 
   Jim Blandy <jimb@gnu.ai.mit.edu> --- July 1994 */

#ifndef ALE_GETLINE_H
#define ALE_GETLINE_H

#include <stdio.h>

/* Read a line from SOURCE_FILE.  
   If we are initially at EOF, return -1.
   If we have some text to read, set *ADDRESS to a malloc'd block of
   space holding the text, and return its length.  The caller must
   free the space.  */
extern int ale_getline (FILE *SOURCE_FILE, char **ADDRESS);

#endif /* ALE_GETLINE_H */
