/* rdp_format.h --- interface to reading and writing RDP format.
   Jim Blandy <jimb@gnu.ai.mit.edu> --- July 1994 */

#ifndef RDP_FORMAT_H
#define RDP_FORMAT_H

#include "node.h"

/* Read a tree from FILENAME, which is assumed to be in RDP tree
   format.  If a system call returns an error, return &rdp_syserror,
   and leave the error code in errno.  If we encounter a syntax error
   in the file, return &rdp_parseerror.  */
extern struct node *read_rdp (char *FILENAME);

extern struct node rdp_syserror, rdp_parseerror;

/* Write TREE to FILENAME in RDP tree format.  */
extern void write_rdp (char *FILENAME, struct node *TREE);

#endif /* RDP_FORMAT_H */
