;;;; gene-threats.el (part of ale).
;; Copyright (C) 1994  Karl Fogel <kfogel@darwin.life.uiuc.edu>
;; Copyright (C) 1994  Indiana University Foundation
;;
;; This software is copyrighted under the terms of the GNU General
;; Public License (see terms below).  The copyright covers this file,
;; specifically, and the program of which it is a part.
;; 
;;      This program is free software; you can redistribute it and/or modify
;;      it under the terms of the GNU General Public License as published by
;;      the Free Software Foundation; either version 1, or (at your option)
;;      any later version.
;; 
;;      This program is distributed in the hope that it will be useful,
;;      but WITHOUT ANY WARRANTY; without even the implied warranty of
;;      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;      GNU General Public License for more details.
;; 
;;      You should have received a copy of the GNU General Public License
;;      along with this program; if not, write to the Free Software
;;      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

;; Let 'em know where they stand.

(defconst gene-emacs-threats
  '["because you deserve a brk today."
    "the definitive fritterware."
    "no job too big... no job."
    "the Swiss Army of Editors."
    "Lovecraft was an optimist."
    "Resistance is futile; you will be assimilated and byte-compiled."
    "because extension languages should come with the editor built in."
    "if it payed rent for disk space, you'd be rich."
    "a compelling argument for pencil and paper."
    "it's like swatting a fly with a supernova."
    "featuring the world's first municipal garbage collector!"
    "the road to Hell is paved with extensibility."
    "a learning curve that you can use as a plumb line."
    "it's not slow --- it's stately."
    "more than just a Lisp interpreter, a text editor as well!"
    "freely redistributable; void where prohibited by law."
    "(setq software-quality (/ 1 number-of-authors))"
    "because idle RAM is the Devil's playground."
    "a Lisp interpreter masquerading as ... a Lisp interpreter!"
    "anything free is worth what you paid for it."
    "ballast for RAM."
    "you'll understand when you're older, dear."
    "the prosecution rests its case."
    "don't cry -- it won't help."
    "because one operating system isn't enough."
    "a real time environment for simulating molasses-based life forms."
    "if SIGINT doesn't work, try a tranquilizer."
    "an inspiring example of form following function... to Hell."
    "because editing your files should be a traumatic experience."
    "or perhaps you'd prefer Russian Roulette, after all?"
    "it's all fun and games, until somebody tries to edit a file."
    "impress your (remaining) friends and neighbors."
    "because Hell was full."
    "where editing text is like playing Paganini on a glass harmonica."
    "the answer to the world surplus of CPU cycles."
    "don't try this at home, kids."]
  "Facts about Emacs that you and your loved ones should be aware of.")

(defconst gene-x-threats
  '["a mistake carried out to perfection."
    "a moment of convenience, a lifetime of regret."
    "a terminal disease."
    "complex nonsolutions to simple nonproblems."
    "dissatisfaction guaranteed."
    "don't get frustrated without it."
    "even your dog won't like it."
    "flaky and built to stay that way."
    "flawed beyond belief."
    "foiled again."
    "even not doing anything would have been better than nothing."
    "form follows malfunction."
    "garbage at your fingertips."
    "ignorance is our most important resource."
    "it could be worse, but it'll take time."
    "it could happen to you."
    "let it get in *your* way."
    "live the nightmare."
    "more than enough rope."
    "never had it, never will."
    "no hardware is safe."
    "power tools for power fools."
    "power tools for power losers."
    "putting new limits on productivity."
    "simplicity made complex."
    "some voids are better left unfilled."
    "sometimes you fill a vacuum and it still sucks."
    "the art of incompetence."
    "the cutting edge of obsolescence."
    "the defacto substandard."
    "the first fully modular software disaster."
    "the joke that kills."
    "the problem for your problem."
    "there's got to be a better way."
    "warn your friends about it."
    "you'd better sit down."
    "you'll envy the dead."
    "graphics hacking :: Roman numerals : sqrt (pi)"]
  "What users said as they collapsed.")

(defun gene-random-emacs-threat ()
  "Today's Emacs pleasantry."
  (interactive)
  (gene-message
   (nth (random (1- (length gene-emacs-threats)))
        (mapcar (lambda (flambee)
                  (concat "Emacs... " flambee))
                gene-emacs-threats)))
  (sit-for 1))

(defun gene-random-x-threat ()
  "Eternal truth, good while supplies last."
  (interactive)
  (gene-message
   (nth (random (1- (length gene-x-threats)))
        (mapcar (lambda (flambee)
                  (concat "X-Windows... " flambee))
                gene-x-threats)))
  (sit-for 1))


(provide 'gene-threats)
